NotificationController Methods

The NotificationController type exposes the following members.

Methods
  NameDescription
Public methodCreateNotification
POST /Notification/ Creates a notification.
Public methodDeleteNotification
DELETE /Notification/{id} Deletes an notification.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGetAccountNotifications
GET /Notification/Account/{id} Gets the notifications for the specified account.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetCurrentUsersNotifications
GET /Notification/CurrentUser/ Gets all notifications for the current user.
Public methodGetNotificationById
GET /Notification/{id} Gets the notification that has the specified ID.
Public methodGetNotifications Obsolete.
GET /Notification/ OBSOLETE - Use GET /Notification/CurrentUser instead. Gets all notifications of the current user.
Public methodGetNotificationsForAccount Obsolete.
POST /Notification/GetNotificationsForAccount/{id} OBSOLETE - Use GET /Notification/Account instead. Gets the notifications for the specified account ID.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodQueryNotifications
POST /Notification/Query Gets multiple notifications.
Public methodQueryNumberOfNotifications
POST /Notification/Count/ Gets the number of accounts that match the filter.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodRunNotifications
POST /Notification/Run Runs multiple notifications.
Public methodSaveNotification Obsolete.
PUT /Notification/ OBSOLETE - Use POST /Notification/ or PUT /Notification/{id} instead. Save a notification.
Public methodToggleNotifications
PUT /Notification/Toggle Toggles the status of multiple notifications.
Public methodUpdateNotification
PUT /Notification/{id} Updates a notification.
Top
See Also